# Creative Commons

Creative Commons (CC) is the forefront [non-profit](non_profit.md) organization promoting [free culture](free_culture.md), i.e. basically relaxation of ["intellectual property"](intellectual_property.md) (such as [copyright](copyright.md)) in [art](art.md). One of the most important contributions of the organization are the widely used Creative Commons [licenses](license.md) which artists may use to make their works more legally free and even put them to the [public domain](public_domain.md).

TODO

## Licenses

Creative commons [licenses](license.md)/waivers form a **[spectrum](spectrum.md)** spanning from complete freedom (CC0, [public domain](public_domain.md), no conditions on use) to complete [fascism](fascism.md) (prohibiting basically everything except for non-commercial sharing). This means that **NOT all Creative Commons licenses are [free cultural](free_culture.md) licenses** -- this is acknowledged by Creative Commons and has been intended. Keep in mind that as a good human you mustn't ever use licenses with [NC](nc.md) (non-commercial use only) or [ND](nd.md) (no derivatives allowed) clauses, these make your work non-free and therefore unusable.

Here is a comparison of the Creative Commons licenses/waivers, from most free (best) to least free (worst):

| name                                              |abbreviation|free culture|use    |share  |remix  |copyleft|attribution|non-commercial|comment                                                                                                                                          |
|---------------------------------------------------|------------|------------|-------|-------|-------|--------|-----------|--------------|-------------------------------------------------------------------------------------------------------------------------------------------------|
| [Creative Commons Zero](cc0.md)                   | CC0        | yes :)     |yes :) |yes :) |yes :) | no :)  |no need :) | no :)        |[public domain](public_domain.md), copyright [waiver](waiver.md), no restrictions, most freedom, best, sadly doesn't waive patents and trademraks|
| Creative Commons Attribution                      | CC BY      | yes?*      |yes?*  |yes :) |yes :) | no :)  |forced :(  | no :)        | requires attribution to authors, `*`: limits some uses ("anti DRM"), rejected by [copyfree](copyfree.md), rather don't use                      |
| Creative Commons Sharealike                       | CC SA      | yes :)     |yes :) |yes :) |yes :) | yes :/ |no need :) | no :)        | retired, secret license, no longer recommended by CC, pure copyleft/sharealike without forced attribution                                       |
| Creative Commons Attribution Sharealike           | CC BY-SA   | yes :)     |yes :) |yes :) |yes :) | yes :/ |forced :(  | no :)        | requires attribution to authors and copyleft (sharing under same terms)                                                                         | 
| Creative Commons Attribution NonCommercial        | CC BY-NC   | NO! :(((   |yes but|yes but|yes but| yes :/ |forced :(  | yes :(       | [proprietary](proprietary.md) fascist license prohibiting commercial use, DO NOT USE                                                            | 
| Creative Commons Attribution NoDerivs             | CC BY-ND   | NO! :(((   |yes but|yes but|NO! :( | yes :/ |forced :(  | no but       | [proprietary](proprietary.md) fascist license prohibiting modifications, DO NOT USE                                                             | 
|Creative Commons Attribution NonCommercial NoDerivs| CC BY-NC-ND| NO! :(((   |yes but|yes but|NO! :( | yes :/ |forced :(  | yes :(       | [proprietary](proprietary.md) fascist license prohibiting commercial use and even modifications, DO NOT USE                                     | 
| none (all rights reserved)                        |            | NO! :(((   |NO! :( |NO! :( |NO! :( |FUCK YOU|FUCK YOU   | FUCK YOU     | [proprietary](proprietary.md) fascist option, prohibits everything, DO NOT USE                                                                  |

## See Also

- [free culture](free_culture.md)
- [free software](free_software.md)
